Skip to content

List all capabilities for a virtual MCP connection

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists the capabilities for a virtual MCP connection. Supports ?expand=inputSchema to embed the capability's input schema inline.

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
connectionIdstringrequired

Unique identifier for the connection

Example:mcn1a2b3c4d5e6f7g8h9
Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
expandstring

Optional expand parameter. Use inputSchema to embed the capability's input schema inline using the _embedded property.

Value:"inputSchema"
GET
/workload-principals/api/v1/virtual-mcp-servers/{virtualMcpServerId}/connections/{connectionId}/capabilities
curl -i -X GET \
  'https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k/connections/mcn1a2b3c4d5e6f7g8h9/capabilities?after=string&limit=20&expand=inputSchema'

Responses

OK

Headers
Bodyapplication/json
dataArray of objects(VirtualMCPCapability)required
Response
{ "data": [ {}, {} ], "_links": { "self": {}, "next": {}, "parent": {} } }